from sphinx.application import Sphinx

from .d2lang import D2langDirective

def setup(application: Sphinx) -> Dict[str, Any]:
    """
    setup extension.
    """
    application.add_directive('d2lang', D2langDirective)
    return {"version": __version__, "parallel_read_safe": True}
